%define pypi_name boolean.py

%bcond_without doc
%bcond_without check

Name:           python-boolean-py
Version:        4.0
Release:        %mkrel 5
Summary:        Define boolean algebras, and create and parse boolean expressions
Group:          Development/Python
License:        BSD
URL:            https://github.com/bastikr/boolean.py
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
"boolean.py" is a small library implementing a boolean algebra. It defines
two base elements, TRUE and FALSE, and a Symbol class that can take on one of
these two values. Calculations are done in terms of AND, OR and NOT - other
compositions like XOR and NAND are not implemented but can be emulated with
AND or and NOT. Expressions are constructed from parsed strings or in Python.

%package -n     python3-boolean-py
Summary:        Define boolean algebras, and create and parse boolean expressions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-boolean-py}
Provides:       python3-boolean.py = %{version}-%{release}

%description -n python3-boolean-py
"boolean.py" is a small library implementing a boolean algebra. It defines
two base elements, TRUE and FALSE, and a Symbol class that can take on one of
these two values. Calculations are done in terms of AND, OR and NOT - other
compositions like XOR and NAND are not implemented but can be emulated with
AND or and NOT. Expressions are constructed from parsed strings or in Python.

Python 3 version.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
sphinx-build-%{python3_version} docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files boolean

%if %{with check}
%check
%pytest
%endif

%files -n python3-boolean-py -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGELOG.rst README.rst html/


%changelog
* Tue Feb 25 2025 wally <wally> 4.0-5.mga10
+ Revision: 2152269
- rebuild for python3.13

* Sat Dec 09 2023 papoteur <papoteur> 4.0-4.mga10
+ Revision: 2016157
- fix port to pyproject
- rebuild for python 3.12

* Tue Dec 06 2022 daviddavid <daviddavid> 4.0-3.mga9
+ Revision: 1918666
- fix obsoleted pkg name

* Tue Dec 06 2022 daviddavid <daviddavid> 4.0-2.mga9
+ Revision: 1918661
- rebuild with fixed name
- rename as python-boolean-py
- initial package python-boolean.py (needed for reuse)

